Name:           python-tplink-cloud-api
Version:        4.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python library for communicating with the TP-Link Cloud API to manage TP-Link Kasa Smart Home devices

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/piekstra/tplink-cloud-api
Source:         %{pypi_source tplink_cloud_api}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tplink-cloud-api' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tplink-cloud-api
Summary:        %{summary}

%description -n python3-tplink-cloud-api %_description


%prep
%autosetup -p1 -n tplink_cloud_api-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tplink-cloud-api -f %{pyproject_files}


%changelog
%autochangelog